#include <tonc.h>
#include "include/room.h"
#include "include/view.h"
#include "include/objLink.h"

OBJ_ATTR sprite_list[128];
int sprite_count = 0;
int room_index = roomA;

VIEWPORT view = {
  0,0,240, 
  0,0,160
};

ObjectLink Link;

void (*roomFunctions[1])() = {
  &scr_roomA
};

int main(){
  irq_init(NULL);
  irq_add(II_VBLANK,NULL);
  oam_init(sprite_list,128);
  
  REG_DISPCNT = DCNT_OBJ | DCNT_OBJ_1D;
  
  while (TRUE) 
    (*roomFunctions[room_index])();
	
  return 0;
}