#include <tonc.h>
#include "include/room.h"
#include "include/view.h"
#include "include/objLink.h"
#include "include/bkgDeepwood.h"

extern OBJ_ATTR sprite_list[];
extern int sprite_count;
extern int room_index;
extern VIEWPORT view;

extern ObjectLink Link;

void scr_roomA(){
  memcpy16(pal_bg_mem,bkgDeepwood_Pal,bkgDeepwood_PalLen);
  memcpy16(&tile_mem[0][0],bkgDeepwood_Tiles,bkgDeepwood_TilesLen);
  REG_BG2CNT = BG_CBB(0) | BG_SBB(31) | BG_4BPP | BG_REG_32x32;
  REG_DISPCNT = REG_DISPCNT | DCNT_MODE0 | DCNT_BG2;
  REG_BG2HOFS = 0;
  REG_BG2VOFS = 0;
  view.xmax = 512;
  view.ymax = 512;
  int mapX = 0;
  int mapY = 0;
  
  SetBkg(bkgDeepwood_Map,bkgDeepwood_MapWide,&view,&mapX,&mapY);
 
  Link_Create(&Link,120,64,0,270);

  while (room_index == roomA){
    VBlankIntrWait();
    key_poll();
    oam_init(sprite_list,sprite_count);
    sprite_count = 0;
    Link_Step(&Link);
    View_Set1(&view,Link.objLink.x,Link.objLink.y);
	UpdateBkg(bkgDeepwood_Map,bkgDeepwood_MapWide,&view,&mapX,&mapY);
    Link_Draw(&Link);
    oam_copy(oam_mem,sprite_list,sprite_count);
  }
}