#include <tonc.h>
#include "include/view.h"

void View_Set1(VIEWPORT *vp,int x,int y){
  vp->x = clamp((x >> 8) - 120, vp->xmin, vp->xmax - 239);
  vp->y = clamp((y >> 8) - 80, vp->ymin, vp->ymax - 159);
}

void SetBkg(const unsigned short *bkg,int wide,VIEWPORT *vp,int *mapX,int *mapY){
  BLOCK * src = (BLOCK *)(bkg + (*mapX >> 3) + ((*mapY >> 3) << wide));
  BLOCK * dst = (BLOCK *)se_mem[31];
  int iy;
  for (iy = 0; iy < 32; iy++){
    *dst++ = *src++;
	*dst++ = *src++;
	src += 2;
  }
}

void UpdateBkg(const unsigned short *bkg,int wide,VIEWPORT *vp,int *mapX,int *mapY){
  int outsideL = vp->x < *mapX;
  int outsideR = vp->x > *mapX + 16;
  int outsideU = vp->y < *mapY;
  int outsideD = vp->y > *mapY + 96;

  if (outsideL || outsideR || outsideU || outsideD){
    if (outsideL){
	  *mapX -= 16;
	  REG_BG2HOFS = 16;
	}
	else if (outsideR){
	  *mapX += 16;
	  REG_BG2HOFS = 0;
	}
    if (outsideU){
	  *mapY -= 96;
	  REG_BG2VOFS = 96;
	}
	else if (outsideD){
	  *mapY += 96;
	  REG_BG2VOFS = 0;
	}
	SetBkg(bkg,wide,vp,mapX,mapY);
  }
  else{
    REG_BG2HOFS = (vp->x - *mapX);
    REG_BG2VOFS = (vp->y - *mapY);
  }
}